| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Attributes | List of all members
NppStInterpolationState Struct Reference
CUDA-accelerated Computer Vision » Legacy support » NPPST Image Processing

`#include <opencv2/cudalegacy/NPP_staging.hpp>`

Collaboration diagram for NppStInterpolationState:

## Public Attributes
Ncv32u | nStep
| pitch
Ncv32f * | pBU
| backward horizontal displacement
Ncv32f * | pBV
| backward vertical displacement
Ncv32f * | pFU
| forward horizontal displacement
Ncv32f * | pFV
| forward vertical displacement
Ncv32f * | pNewFrame
| new frame
Ncv32f | pos
| new frame position
Ncv32f * | ppBuffers [6]
| temporary buffers
Ncv32f * | pSrcFrame0
| frame 0
Ncv32f * | pSrcFrame1
| frame 1
NcvSize32u | size
| frame size

## Detailed Description

Frame interpolation state

This structure holds parameters required for frame interpolation. Forward displacement field is a per-pixel mapping from frame 0 to frame 1. Backward displacement field is a per-pixel mapping from frame 1 to frame 0.

## Member Data Documentation

## ◆ nStep

Ncv32u NppStInterpolationState::nStep

pitch

## ◆ pBU

Ncv32f* NppStInterpolationState::pBU

backward horizontal displacement

## ◆ pBV

Ncv32f* NppStInterpolationState::pBV

backward vertical displacement

## ◆ pFU

Ncv32f* NppStInterpolationState::pFU

forward horizontal displacement

## ◆ pFV

Ncv32f* NppStInterpolationState::pFV

forward vertical displacement

## ◆ pNewFrame

Ncv32f* NppStInterpolationState::pNewFrame

new frame

## ◆ pos

Ncv32f NppStInterpolationState::pos

new frame position

## ◆ ppBuffers

Ncv32f* NppStInterpolationState::ppBuffers[6]

temporary buffers

## ◆ pSrcFrame0

Ncv32f* NppStInterpolationState::pSrcFrame0

frame 0

## ◆ pSrcFrame1

Ncv32f* NppStInterpolationState::pSrcFrame1

frame 1

## ◆ size

NcvSize32u NppStInterpolationState::size

frame size

The documentation for this struct was generated from the following file:

- opencv2/cudalegacy/NPP_staging.hpp